version: '3.1'

services:

  mysql:
    image: mysql
    command: --default-authentication-plugin=mysql_native_password
    #restart: always
    environment:
      MYSQL_ROOT_PASSWORD: urbantz
      MYSQL_DATABASE: tz
      MYSQL_USER: urbantz
      MYSQL_PASSWORD: urbantz
    ports:
      - 3306:3306
    volumes:
      - ./TimeZoneDB.sql:/docker-entrypoint-initdb.d

  adminer:
    depends_on:
      - mysql
    image: adminer
    #restart: always
    ports:
      - 8080:8080

  # phpmyadmin:
  #   depends_on:
  #     - mysql
  #   image: phpmyadmin/phpmyadmin
  #   #restart: always
  #   ports:
  #     - 8088:8080
  #   environment:
  #     PMA_ARBITRARY: 1